Create Location Resource
curl --request POST \
--url https://api.embedreach.com/api/resources/locations \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"address2": "<string>",
"address3": "<string>"
}
}
'import requests
url = "https://api.embedreach.com/api/resources/locations"
payload = { "data": {
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"address2": "<string>",
"address3": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
locationId: '<string>',
name: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>',
address2: '<string>',
address3: '<string>'
}
})
};
fetch('https://api.embedreach.com/api/resources/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"address2": "<string>",
"address3": "<string>"
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Default Partner Resources
Create Location Resource
Creates a single location resource using the default location schema.
POST
/
api
/
resources
/
locations
Create Location Resource
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
What to do if the resource already exists. upsert will merge new data with existing data (PATCH-like behavior), preserving existing fields not included in the request. Null values will delete fields. reject will throw an error if the resource already exists
Available options:
upsert, reject Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
application/json
Default Location Resource
Show child attributes
Show child attributes
⌘I